Nilsimsa(3)

NAME
Digest::Nilsimsa - Perl version of Nilsimsa code

SYNOPSIS
 use Digest::Nilsimsa;

 my $nilsimsa = Digest::Nilsimsa;

 my $digest = $nilsimsa->text2digest($text);

DESCRIPTION
A nilsimsa signature is a statistic of n-gram occurance in a piece of text. It is a 256 bit value usually represented in hex. This module is a wrapper around nilsimsa implementation in C by cmeclax.

METHODS

$nilsimsa->text2digest($text);
    Pass in any text, any size, and get back a digest string composed 64 hex chars.

SEE ALSO
http://ixazon.dynip.com/~cmeclax/nilsimsa.html

AUTHOR
Chad Norwood <chad@455scott.com>, cmeclax